summaryrefslogtreecommitdiff
path: root/debian/simple-scan.bug-script
diff options
context:
space:
mode:
Diffstat (limited to 'debian/simple-scan.bug-script')
-rw-r--r--debian/simple-scan.bug-script59
1 files changed, 59 insertions, 0 deletions
diff --git a/debian/simple-scan.bug-script b/debian/simple-scan.bug-script
new file mode 100644
index 0000000..ddfbfcf
--- /dev/null
+++ b/debian/simple-scan.bug-script
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+cat <<EOF
+
+Providing additional information can help diagnose problems with simple-scan.
+Specifically, this would include:
+- Your personal simple-scan log file.
+- The list of your usb devices.
+- A list of detected scanners.
+
+If this information is not relevant for your bug report or you have privacy
+concerns, please choose no.
+
+EOF
+
+yesno "Do you want to provide additional information [Y|n]? " yep
+[ "$REPLY" = yep ] || exit 0
+
+
+REPORTBUG_VERSION=$(dpkg-query -f '${source:Version}' -W reportbug)
+#LOG_FILE="~/.cache/simple-scan/simple-scan.log"
+LOG_FILE="/home/${USER}/.cache/simple-scan/simple-scan.log"
+
+# Depending on whether reportbug is new enough, we either write the output of
+# our various commands to a file and attach them to the report (this needs
+# reportbug ≥ 6.5.0) or just write them to the body of the bug report.
+if dpkg --compare-versions "$REPORTBUG_VERSION" ge "6.5.0"; then
+
+ # We don’t clean up this directory because there is no way to know when
+ # reportbug finished running, and reportbug needs the files around.
+ # Given that those are just a couple of kilobytes in size and people
+ # generally don’t file a lot of bugs, I don’t think it’s a big deal.
+ DIR=$(mktemp -d)
+
+ echo "-- BEGIN ATTACHMENTS --" >&3
+
+ #
+ # logfile
+ #
+ if [ -f ${LOG_FILE} ]; then
+ cat ${LOG_FILE} >$DIR/logfile.user
+ echo "$DIR/logfile.user" >&3
+ fi
+
+ #
+ # scanimage -L
+ #
+ scanimage -L >$DIR/scanimage.user
+ echo "$DIR/scanimage.user" >&3
+
+ #
+ # lsusb
+ #
+ lsusb -v >$DIR/lsusb.user
+ echo "$DIR/lsusb.user" >&3
+
+
+ echo "-- END ATTACHMENTS --" >&3
+fi